#!/bin/sh

# Uninstaller for EMouse
# Michael Davidson - slaad@bong.com.au
# Based on work by Jim Mussared (jim@mussared.ii.net - Intellimouse DriveR),
#   Olaf van Es, Frans van Nispen and Stephen Abmus (Wacom Drivers)
# v0.0.2 (20030504)

msg=$'This will uninstall the EMouse driver v0.0.2 for USB mice.\n'
msg="$msg"$'This will re-able support for PS/2 mice on your system.\n'
msg="$msg"$'Are you sure you wish to continue?'

folder=`dirname "$0"`
if [ `alert "$msg" "No" "Yes"` = "Yes" ]; then

	rm -f /boot/home/config/add-ons/input_server/devices/emouse_usb
	rm -f /boot/preferences/EMouse \Prefs
	copyattr --data "$folder/Be Driver/mouse" /boot/beos/system/add-ons/input_server/devices/mouse
	
	rm /boot/home/config/be/Preferences/Emouse\ Prefs
	
	alert "The input server will now restart." "Ok"
	/system/servers/input_server -q
	
	sleep 2
	
	msg=$'Uninstallation complete. Your original driver has been restored. It is recomended that you restart your computer if the mouse behaves strangely.'

fi
